org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryExecuteBatchRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerRequest
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest
    - - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryExecuteBatchRequest

    public class OdbcQueryExecuteBatchRequest
    extends OdbcRequest

ODBC query execute request with the batch of parameters.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`META_COLS, META_PARAMS, META_TBLS, QRY_CLOSE, QRY_EXEC, QRY_EXEC_BATCH, QRY_FETCH`

### Fields inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryExecuteBatchRequest(String schema, String sqlQry, boolean last, Object[][] args)`

### Method Summary

Methods
`Object[][]` `arguments()`
`boolean` `last()`
`String` `schema()`
`String` `sqlQuery()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`command`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`requestId, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryExecuteBatchRequest

    public OdbcQueryExecuteBatchRequest(@Nullable
                                String schema,
                                String sqlQry,
                                boolean last,
                                Object[][] args)

Parameters:
  `schema` - Schema.
  `sqlQry` - SQL query.
  `last` - Last page flag.
  `args` - Arguments list.

### Method Detail

#### sqlQuery

    public String sqlQuery()

Returns:
  Sql query.

#### arguments

    public Object[][] arguments()

Returns:
  Sql query arguments.

#### schema

    @Nullable
    public String schema()

Returns:
  Schema.

#### last

    public boolean last()

Returns:
  Last page flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017